﻿/*
    Header Override File
*/

.mobile-padding-space{
    height: 180px;
}

@media (min-width: 769px) and (max-width: 991px){
    .mobile-padding-space{
        height: 150px;
    }
}

@media only screen and (max-width: 768px){
    .mobile-padding-space{
        height: 20px;
    }

}

#header.shadow-after-3:before {
    content: ' ';
    position: absolute;
    left: 0;
    right: 0;
    width: 100%;
    /* height: 60px;
    bottom: -60px; */
	height:30px;
	bottom:-30px;
    background-image: url('../images/misc/shadow3.png');
    background-size: 100% 100%;
}

.mobile-nav-menu{
    display: none;
}

.mobile-nav-button{
    display: none;
}

@media only screen and (max-width: 992px){
    #header.shadow-after-3:before {
        content: ' ';
        position: absolute;
        left: 0;
        right: 0;
        width: 100%;
		/*
        height: 60px;
        bottom: -60px; */
        background-image: url('../images/misc/shadow3.png');
        background-size: 100% 100%;
    }
    .mobile-nav-menu{
        display: block;
    }
    .mobile-nav-button{
        display: block;
        padding-bottom: 0;
    }
}

@media only screen and (max-width: 991px){
    .mobile-nav-button{
        padding-bottom: 10px;
    }
}

@media only screen and (max-width: 992px){
    #header {
        height: auto !important;
    }
}


@media only screen and (max-width: 767px){

}

@media only screen and (max-width: 618px){
    #header {
        height: auto !important;
    }
}

@media only screen and (max-width: 767px){
    .mobile-nav-wrap {
        margin-top: 20px !important;
    }
}

@media only screen and (max-width: 474px){
    .mobile-nav-wrap {
        margin-top: 40px !important;
    }
}

@media only screen and (max-width: 767px){
    .mobile-nav-wrap-1 {
        margin-top: 30px !important;
    }
}


@media only screen and (max-width: 350px){
    .responsiveLogo {
        margin-left: -20px;
    }
}
 
@media only screen and (max-width: 767px){
    .leftFloatNav {
        /*float: left !important;*/
    }
}

@media only screen and (max-width: 767px){
    .btn.btn-default.button-mobile{
        margin-top: 10px;
    }
}

.nav-pills.nav-pills-center>li {
    float: none;
}

a.btn2-nav {
    display: inline-block;
}

a.btn2-nav-back {
    display: inline-block;
}

.btn2-nav {
    background: #365AAF;
    background-image: -webkit-linear-gradient(top, #365AAF, #2980b9);
    background-image: -ms-linear-gradient(top, #365AAF, #2980b9);
    background-image: -o-linear-gradient(top, #365AAF, #2980b9);
    background-image: linear-gradient(to bottom, #365AAF, #2980b9);
    -webkit-border-radius: 3;
    -moz-border-radius: 3;
    border-radius: 3px;
    font-family: 'Open Sans',Arial,Helvetica,sans-serif;
    -webkit-font-smoothing: antialiased;
    color: #ffffff;
    font-size: 14px;
    font-weight: 400;
    padding: 5px;
    text-decoration: none;
    min-width: 150px;
    min-height: 35px;
    display: inline-block;
    padding: 6px 12px;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -webkit-transition: all .300s;
    -moz-transition: all .300s;
    -o-transition: all .300s;
    transition: all .300s;
}

.btn2-nav-back {
    background: #6A9310;
    background-image: -webkit-linear-gradient(top, #6A9310, #7FB713);
    background-image: -ms-linear-gradient(top, #6A9310, #7FB713);
    background-image: -o-linear-gradient(top, #6A9310, #7FB713);
    background-image: linear-gradient(to bottom, #6A9310, #7FB713);
    -webkit-border-radius: 3;
    -moz-border-radius: 3;
    border-radius: 3px;
    font-family: 'Open Sans',Arial,Helvetica,sans-serif;
    -webkit-font-smoothing: antialiased;
    color: #ffffff;
    font-size: 14px;
    font-weight: 400;
    padding: 5px;
    min-height: 35px;
    text-decoration: none;
    min-width: 50px;
    display: inline-block;
    padding: 6px 12px;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -webkit-transition: all .300s !important;
    -moz-transition: all .300s !important;
    -o-transition: all .300s !important;
    transition: all .300s !important;
}

.btn2-nav-back:hover {
    background: #7FB713;
    background-image: -webkit-linear-gradient(top, #7FB713, #6A9310);
    background-image: -moz-linear-gradient(top, #7FB713, #6A9310);
    background-image: -ms-linear-gradient(top, #7FB713, #6A9310);
    background-image: -o-linear-gradient(top, #7FB713, #6A9310);
    background-image: linear-gradient(to bottom, #7FB713, #6A9310);
    text-decoration: none;
    color: white !important;
}

.btn2-nav:hover {
    background: #3cb0fd;
    background-image: -webkit-linear-gradient(top, #3cb0fd, #365AAF);
    background-image: -moz-linear-gradient(top, #3cb0fd, #365AAF);
    background-image: -ms-linear-gradient(top, #3cb0fd, #365AAF);
    background-image: -o-linear-gradient(top, #3cb0fd, #365AAF);
    background-image: linear-gradient(to bottom, #3cb0fd, #365AAF);
    text-decoration: none;
    color: white !important;
}

[off-canvas].off-canvas-entity {
	display: none;
	position: fixed;
	/*overflow: hidden;
	overflow-y: auto;*/
	background-color: whitesmoke;
	color: white;/* Basic colors, overwrite this in your own css. */
	-webkit-overflow-scrolling: touch;/* Enables momentum scrolling on iOS devices, may be removed by setting to 'auto' in your own CSS. */
}

.entity-dropdown-menu{
    margin-left:15px;
    margin-right:15px; 
    padding-right: 10px;
    padding-left: 10px;
    background-color:black;
    border-top:2px solid #FF8245; 
    border-bottom:2px solid #FF8245;
    color:white;
}

#header.fixed #topNav #topMain>li>a {
    height: 40px;
    line-height: 20px;
	font-weight: 500;
	color: #2f281e;
	letter-spacing: normal;
	letter-spacing: normal;
	font-family: "Metropolis-Medium";
	
}

/*
 *  Mobile Header Positioning 
 */

#header_all{
    margin-top: -5px;
}

#header_logo{
    margin-top: -10px;
}

#header_bars{
    margin-top: 20px;
    margin-left: 20px;
}

#header_login{
    margin-top: -5px;
}

#header_contactus{
    margin-top: -5px;
}

#header_phone{
    margin-top: -5px;
}

#header_phone2{
    margin-top: 0;
}

@media only screen and (max-width: 460px) {
    #header_contactus {
        display: none;
    }

    #header_bars {
        margin-top: -25px;
        margin-left: 0;
        position: absolute;
        top: 60px;
        right: 50px;
    }

    #header_phone {
        position: absolute;
        top: 15px;
        right: 2px;
    }

    #header_leftmargin{
        margin-left: 0;
    }
}

@media only screen and (min-width: 461px) and (max-width: 600px){
    #header_contactus{
        display: none;
    }
    #header_all{
        margin-top: 20px;
    }
    #header_leftmargin{
        margin-left: 20px;
    }
}

@media only screen and (min-width: 601px) and (max-width: 767px) {
    #header_all{
        margin-top: 20px;
    }
    #header_leftmargin{
        margin-left: 35px;
    }
}

@media only screen and (min-width: 768px){
    #header_all{
        border:#eaeaea  0px solid;
    }
    #header_login{
        margin-top: 0;
    }
    #header_phone{
        margin-top: 0;
    }
    #header_contactus{
        margin-top: 0;
    }
    #header_leftmargin{
        margin-left: 50px;
    }
}

@media only screen and (max-width: 700px){
    #header_login{
        display: none;
    }
}

@media only screen and (max-width: 900px){
    #header_orderbutton{
        display: none;
    }
}

@media only screen and (max-width: 500px){
    #headerbutton_quote{
        display: none;
    }
    #footerbutton_quote{
        display: none;
    }
}

/*********************************
 *  Site Overrides
 ********************************/

.btn-blue:focus {
    background-color: #003967;
    color: #FFF !important;
}

a.btn.btn-blue:hover {
    color: #FFF !important;
}

a#ContactUsPopup:active, a#ContactUsPopup:hover {
    color: #fff !important;
    text-decoration: none;
}

a:focus {
    color: #00246b !important;
    text-decoration: none;
}

.searchBoxMobileRound {
    color: #EFEFEF;
    border-radius: 15px;
    width: 220px;
    background-color: #777;
    padding-top: 5px;
    padding-bottom: 5px;
    padding-left: 15px;
    border: 2px solid black;
}

.searchBoxMobileRound:focus {
    -webkit-transition: all .3s ease-in-out;
    color: #EFEFEF;
    border-radius: 15px;
    width: 220px;
    background-color: #777;
    padding-top: 5px;
    padding-bottom: 5px;
    padding-left: 15px;
    border: 2px solid #365AAF;
}

/********************************
 *  Header Customizations
 *******************************/
.rowNavHeader {
     padding-top:20px;
}

.headerLoginPhone{
    display: block;
    display: initial;
}

div.row.bottomHeaderRow{
    display: none;
    margin-bottom: 15px;
}

.headerNavText {
    display: block;
    display: initial;
}

.phoneHeaderIcon{
    padding-left: 0 !important;
    padding-right: 0 !important;
}

.siteMaxChatHeader {
    padding-left: 0 !important;
    padding-right: 0 !important;
}

.orderBtnHeader {
    padding-left: 0 !important;
    padding-right: 0 !important;
}
.mobileBarNav {
    display: none;
}

@media screen and (max-width: 999px) {
    .orderBtnHeader{
        display: none;
    }
}

@media screen and (max-width: 992px) {
    #header li.search {
        display: none;
    }
    .topNavMainDesk {
        display: none;
		
    }
    .mobileBarNav{
        display: block;
        display: initial;
    }
}

@media screen and (max-width: 991px) {
    .contactUsHeader{
        display: none;
    }
}

@media screen and (max-width: 768px) {
    .siteMaxChatHeader{
        display: none;
    }
}

@media (min-width: 462px) and (max-width: 767px) {
    .rowNavHeader {
         padding-top:0;
    }
}

/*@media screen and (max-width: 500px) {
    .headerNavText {
         display: none;
    }
}*/

@media screen and (max-width: 554px) {
    .phoneHeaderIcon {
         display: none;
    }
}

@media screen and (max-width: 528px) {
    .headerLoginPhone{
        display: none;
    }
}

@media screen and (max-width: 528px) {
    div.row.bottomHeaderRow.bottomHeaderRow{
        display: block;
    }
}

/********************************
 *  Button Customizations
 *******************************/

@media screen and (max-width: 510px) {
    .hideMobileButtons {
         display: none !important;
    }
}

@media screen and (min-width: 511px) {
    .buttonMobileShow {
         display: none !important;
    }
}
#fixedHeaderHeight {
    height: 165px;
}